using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace qual22
{
    class Program
    {
        static int[] bubblesort(int[] a)
        {
            
            int t;
            for (int j = 0; j <= a.Length - 2; j++)
            {
                for (int i = 0; i <= a.Length - 2; i++)
                {
                    if (a[i] > a[i + 1])
                    {
                        t = a[i + 1];
                        a[i + 1] = a[i];
                        a[i] = t;
                    }
                }
            }
            return a;
            
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int i = 0, pomocna = 0;
            int[] knjige = new int[n];
            string[] u = Console.ReadLine().Split();
            int[] sortiran = new int[n];
            for (; i < n; i++)
            {
                knjige[i] = int.Parse(u[i]);
                sortiran[i] = int.Parse(u[i]);
            }
            sortiran = bubblesort(sortiran);
            Array.Reverse(sortiran);
            bool x = true;
            i = 0;
            if (n == 2)
            {
                pomocna = knjige[1];
                knjige[1] = knjige[0];
                knjige[0] = pomocna;
            }
            else
            {
                while (x)
                {
                    if (knjige[i] != sortiran[i])
                    {
                        x = false;
                    }
                    else if (knjige[i] == knjige[i + 1])
                        x = false;
                    else
                        i++;
                }
                x = true;
                for (int j = i; x; j++)
                {
                    if ((knjige[j] == sortiran[i]))
                    {
                        x = false;
                        pomocna = knjige[i];
                        knjige[i] = sortiran[i];
                        knjige[j] = pomocna;
                    }
                    
                }
            }
            string rez = null;
            for (i = 0; i < n; i++)
            {
                rez += knjige[i] + " ";
            }
            Console.WriteLine(rez);
        }
    }
}